Bug 1781126 - [RFE] Ability to disable subscription checking in microdnf
Summary: [RFE] Ability to disable subscription checking in microdnf
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: microdnf
Version: 8.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Jaroslav Rohel
QA Contact: Jan Blazek
Mariya Pershina
URL:
Whiteboard:
Depends On:
Blocks: 1825061
TreeView+ depends on / blocked
 
Reported: 2019-12-09 11:46 UTC by Anthony Hogbin
Modified: 2020-11-19 14:43 UTC (History)
9 users (show)

Fixed In Version: microdnf-3.4.0-1.el8
Doc Type: Enhancement
Doc Text:
.Ability to enable and disable the `libdnf` plugins Previously, subscription checking was hardcoded into the RHEL version of the `libdnf` plug-ins. With this update, the `microdnf` utility can enable and disable the `libdnf` plug-ins, and subscription checking can now be disabled the same way as in DNF. To disable subscription checking, use the `--disableplugin=subscription-manager` command. To disable all plug-ins, use the `--noplugins` command.
Clone Of:
Environment:
Last Closed: 2020-11-04 01:52:04 UTC
Type: Feature Request
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2020:4507 0 None None None 2020-11-04 01:52:10 UTC

Comment 2 Jaroslav Rohel 2019-12-17 14:30:12 UTC
I prepared support for "--disableplugin=", "--enableplugin=", and "--noplugins" arguments into microdnf.
PR https://github.com/rpm-software-management/microdnf/pull/63

It also needs support in libdnf:
PR https://github.com/rpm-software-management/libdnf/pull/861

With the patches "subscription checking" can be disabled by "--disableplugin=subscription-manager" or "--noplugins".

Comment 3 Jaroslav Rohel 2020-01-09 08:51:56 UTC
PR were merged with upstream.
https://github.com/rpm-software-management/libdnf/pull/861
https://github.com/rpm-software-management/microdnf/pull/63
https://github.com/rpm-software-management/microdnf/pull/72

With the patches microdnf works similar as DNF.
The "subscription checking" can be disabled by command line argument "--disableplugin=subscription-manager".
Loading of all plugins can be disabled by command line argument "--noplugins" or in the configuration file (by default /etc/dnf/dnf.conf) by setting option "plugins=0".

Comment 16 errata-xmlrpc 2020-11-04 01:52:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (microdnf bug fix and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2020:4507


Note You need to log in before you can comment on or make changes to this bug.